api build and push stable:
  needs: []
  stage: build
  tags:
    - gpInterne
    - dind
  image: docker:$DOCKER_VERSION
  services:
    - name: docker:$DOCKER_VERSION-dind
      alias: dindy
  variables:
    DOCKER_HOST: tcp://dindy:2375/
    PHP_IMAGE_TAG: stable
    WS_IMAGE_TAG: stable
  before_script:
    - cd api
  script:
    - echo "$CI_REGISTRY"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - >
      docker compose
      -f docker-compose.yml
      -f docker-compose.prod.yml
      -p $API_IMAGE_NAME-$CI_ENVIRONMENT_NAME
      build --pull --push
    - docker logout
  rules:
    # Automatique si la pipeline est lancée sur la branche principale ou lors d'un tag
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH || $CI_COMMIT_TAG
      when: on_success
